/webhook-endpoints List webhook endpoints (without secrets), newest first
| Parameter | In | Type | Description |
|---|---|---|---|
limit | query | string | 1–100 (default 50) |
cursor | query | string | next_cursor from the previous page |
Request
curl "https://app.shopbird.app/api/v1/webhook-endpoints" \
-H "Authorization: Bearer sb_live_…" Response 200
{
"data": [
{
"id": "clx8k6e1f0008qs08d4a8b9c0",
"url": "https://example.com/hooks/shopbird",
"events": [
"lock.created",
"lock.updated"
],
"enabled": true,
"disabled_reason": null,
"created_at": "2026-11-01T09:00:00.000Z"
}
],
"next_cursor": "MTc2MTk4NzYwMDAwMHxjbHg4azJ2MWEwMDAwcXMwOGgzZjJiOWRl"
}